7 Replies Latest reply: Sep 21, 2012 6:59 PM by shldr2thewheel
Sengirl Level 1 (0 points)

So I have an early 2008 macbook with OS X 10.5.8 (before they went aluminum.) and I also got an iPhone 5 that requires iTunes version 10.7. Unfortunately to get iTunes 10.7 you need OS X 10.6.8 which apparently I can't get the OS X update. I've tried multiple times to check for software updates, and to get other software (ie. Mountain Lion, etc) and I can't do so without OS X 10.6.6. So I am kind of at a loss. Does anyone know how I can update my software? Or am I kind out of luck and need a newer macbook? PLEASE HELP! Thank you!

MacBook (13-inch Early 2008), Mac OS X (10.5.8)